# Generated from upton-0.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name upton

Name: rubygem-%{gem_name}
Version: 0.3.6
Release: 1%{?dist}
Summary: A simple web-scraping framework
License: MIT
URL: http://github.org/propublica/upton
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rack)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(thin)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Don't re-write web scrapers every time. Upton gives you a scraper template
that's easy to use for debugging and doesn't hammer servers by default.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.3.6-1
- Initial package
